Skip to content

Get card PIN

Request

Fetches the card's PIN.

Requires an encrypted JWE payload for security. See the sensitive card details guide for implementation details.

This endpoint is SCA protected when applicable. If your profile is registered within the UK and/or EEA, SCA most likely applies. For more information, see implementing SCA.

Security
UserToken
Headers
x-tw-twcard-card-tokenstring, (uuid)required

The card token identifying which card to retrieve the PIN for.

Example:ca0c8154-1e14-4464-a1ce-dcea7dc3de52
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/jsonrequired
keyVersioninteger, (int32)required

The version of the encryption key to use. Always set to 1.

Example:1
encryptedPayloadstringrequired

Your JWE encrypted payload.

Example:"<your JWE>"
curl -i -X POST \
  https://twcard.wise.com/twcard-data/v1/sensitive-card-data/pin \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -H 'x-tw-twcard-card-token: ca0c8154-1e14-4464-a1ce-dcea7dc3de52' \
  -d '{
    "keyVersion": 1,
    "encryptedPayload": "<your JWE>"
  }'

Responses

Card PIN retrieved successfully.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
noncestring, (uuid)

An arbitrary UUID issued from the cryptographic communication.

Example:"33d51227-9ad6-4624-b4b7-7853b56076dd"
pinstring

The card PIN.

Example:"1234"
Response
{ "nonce": "33d51227-9ad6-4624-b4b7-7853b56076dd", "pin": "1234" }